const path = require('path');

module.exports = {
    entry: './js-src/index.jsx',
    mode: 'development',
    output: {
        filename: 'bundle.js',
        path: path.resolve(__dirname, 'public/js/'),
    },
    resolve: {
        extensions: [
                '.js',
                '.jsx',
        ],
        roots: [
            path.resolve(__dirname, 'js-src/')
        ]
    },
    module: {
        rules: [
            {
                test: /\.jpe?g|png$/,
                exclude: /node_modules/,
                use: ["url-loader", "file-loader"]
            },
            {
                test: /\.(js|jsx)$/,
                exclude: /node_modules/,
                loader: "babel-loader"
            }
        ]
    }
};
